/* section-header-1 */

.entry-content > section.wp-block-group.section-header-1 {
    padding: 0;
}

section.section-header-1 div.wp-block-columns {
    padding: 0;
    gap: 0.5em;
    justify-content: end;
}

section.section-header-1 div.wp-block-columns div.wp-block-column {
    display: flex;
    flex-wrap: nowrap;
    flex-direction: column;
    padding: clamp(0.75rem, 0.6133rem + 0.4556vw, 1rem) clamp(0.5rem, 0.3113rem + 0.9434cqi, 1.125rem) 1rem clamp(0.5rem, 0.3633rem + 0.4556vw, 0.75rem);
    /* padding-right: 1.25rem; */
    flex-basis: fit-content;
    flex-grow: 0;
    flex-shrink: 0;
}

section.section-header-1 div.wp-block-columns div.wp-block-column:first-child {
    align-items: end;
    padding-left: 0;
    /* padding-right: 1rem; */
}

section.section-header-1 div.wp-block-columns div.wp-block-column:first-child h2 {
    color: transparent;
    /* color: var(--color--primary-2); */
    -webkit-text-stroke: 2px var(--color--primary-2);
    text-stroke: 2px var(--color--primary-2);
    font-size: var(--font-size--display-large);
    word-break: keep-all !important;
    hyphens: none !important;
    white-space: nowrap !important;
    letter-spacing: -0.05em;
    font-weight: 500;
    line-height: 75%;
}

section.section-header-1 div.wp-block-columns div.wp-block-column:last-child {
    background-color: var(--color--primary-2);
    /* max-width: fit-content; */
    border-radius: var(--border-radius--small);
}

section.section-header-1 div.wp-block-columns div.wp-block-column:last-child h1 {
    font-size: var(--font-size--large);
    /* font-size: clamp(1rem, 0.7727rem + 1.1364cqi, 2rem); */
    width: fit-content;
    color: var(--color--primary-3);
    padding: 0 0.75rem;
    font-weight: 700;
    margin-top: 4.375rem;
    line-height: 1.3;
}

section.section-header-1 div.wp-block-columns div.wp-block-column:last-child h2 {
    color: var(--color--primary-3);
    font-size: var(--font-size--display-large);
    margin-bottom: 0;
    word-break: keep-all !important;
    hyphens: none !important;
    white-space: nowrap !important;
    width: fit-content;
    letter-spacing: -0.05em;
    font-weight: 500;
    line-height: 75%;
    transform: translateX(-1px);
}

@media screen and (max-width: 960px) {
    section.section-header-1 div.wp-block-columns div.wp-block-column:last-child h1 {
        font-size: var(--font-size--medium);
    }
}

@media screen and (max-width: 600px) {
    section.section-header-1 div.wp-block-columns div.wp-block-column {
        /* padding: 1rem 1.15rem 1rem 0.8rem; */
    }

    section.section-header-1 div.wp-block-columns div.wp-block-column:first-child h2 {
        letter-spacing: -0.06em;
    }

    section.section-header-1 div.wp-block-columns div.wp-block-column:last-child h2 {
        letter-spacing: -0.03em;
    }

    section.section-header-1 div.wp-block-columns {
        flex-direction: column;
        align-items: flex-end !important;
    }
    section.section-header-1 div.wp-block-columns {
        gap: 0;
    }
    section.section-header-1 div.wp-block-columns div.wp-block-column:first-child {
        padding-bottom: 0;
    }
    section.section-header-1 div.wp-block-columns div.wp-block-column:first-child h2 {
        margin-bottom: 0.75rem;
    }
}

@media screen and (max-width: 480px) {
    section.section-header-1 div.wp-block-columns div.wp-block-column:last-child h1 {
        font-size: var(--font-size--small);
    }

    .entry-content > section.wp-block-group.section-header-1 {
        padding: 0;
        margin-bottom: 5rem;
    }
    section.section-header-1 div.wp-block-columns div.wp-block-column:last-child h1 {
        margin-top: 2.5rem;
    }
}
